/* xtexcad  V1.2 - graphic editor for LaTeX */
/* 1991 by K.Zitzmann */
/* header-file ereignis.h */



#ifndef EREIGNISH
#define EREIGNISH





/* prototypes */




 void load_handler(void);
 void trans_handler(void);
 void about_handler(void);
 void quit_handler(Widget cmd, caddr_t client_data, caddr_t call_data);
 void options(Widget w, caddr_t client_data, caddr_t call_data);
 void raster_on(void);
 void raster_off(void);
 void snap_on(Widget w, caddr_t client_data, caddr_t call_data);
 void general_purpose_handler(Widget w, caddr_t client_data, caddr_t call_data);
 void aus_raster(Widget w, char c, caddr_t call_data);
 void slopes(Widget w, caddr_t c, caddr_t call_data);
 void diams(Widget w, caddr_t c, caddr_t call_data);
 void answer(Widget w, char c, caddr_t call_data);
 void get_number(void);
 void automatic_refresh(Widget w, caddr_t client_data, caddr_t call_data);
 void full_dina4(Widget w, caddr_t client_data, caddr_t call_data);
 void draw_coords(Widget cmd, caddr_t, caddr_t call_data);
 void ruler_on(void);
 void ruler_switch(Widget w, char c, caddr_t call_data);
 void cross_switch(Widget w, char c, caddr_t call_data);
 void l_length_switch(Widget w, caddr_t client_data, caddr_t call_data);


extern int h_cross;
extern int v_cross;



#endif





